org.wildfly.swarm.microprofile.openapi.api

## Class OpenApiConfig

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.OpenApiConfig

-     public class OpenApiConfig
      extends Object

  Accessor to OpenAPI configuration options. Reference: https://github.com/eclipse/microprofile-open-api/blob/master/spec/src/main/asciidoc/microprofile-openapi-spec.adoc#31-list-of-configurable-items
  Author:
    eric.wittmann@gmail.com

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenApiConfig(Config config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `filter()`
    `String` | `modelReader()`
    `Set<String>` | `operationServers(String operationId)`
    `Set<String>` | `pathServers(String path)`
    `Set<String>` | `scanClasses()`
    `boolean` | `scanDependenciesDisable()`
    `Set<String>` | `scanDependenciesJars()`
    `boolean` | `scanDisable()`
    `Set<String>` | `scanExcludeClasses()`
    `Set<String>` | `scanExcludePackages()`
    `Set<String>` | `scanPackages()`
    `Set<String>` | `servers()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenApiConfig

          public OpenApiConfig(Config config)

  - ### Method Detail

    - #### modelReader

          public String modelReader()

    - #### filter

          public String filter()

    - #### scanDisable

          public boolean scanDisable()

    - #### scanPackages

          public Set<String> scanPackages()

    - #### scanClasses

          public Set<String> scanClasses()

    - #### scanExcludePackages

          public Set<String> scanExcludePackages()

    - #### scanExcludeClasses

          public Set<String> scanExcludeClasses()

    - #### servers

          public Set<String> servers()

    - #### pathServers

          public Set<String> pathServers(String path)

    - #### operationServers

          public Set<String> operationServers(String operationId)

    - #### scanDependenciesDisable

          public boolean scanDependenciesDisable()

    - #### scanDependenciesJars

          public Set<String> scanDependenciesJars()

Copyright © 2018 JBoss by Red Hat. All rights reserved.